"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Lrs = exports.VERSION = void 0;
exports.VERSION = "1.0.2";
class Lrs {
    constructor(config) {
        this.endpoint = config.endpoint;
        // ensure trailing slash on endpoint
        if (this.endpoint.slice(-1) !== "/") {
            this.endpoint += "/";
        }
        this.auth = config.auth;
    }
    saveStatement(statement) {
        const url = this.endpoint + "statements";
        const method = "PUT";
        const headers = new Headers();
        headers.set("Content-Type", "application/json");
        headers.set("Authorization", this.auth);
        headers.set("X-Experience-API-Version", exports.VERSION);
        return fetch(url, {
            method,
            headers,
            credentials: "include",
            mode: "cors",
            body: JSON.stringify(statement),
        });
    }
    saveActivityState(activityId, stateId, agent, state) {
        const url = new URL(this.endpoint + "activities/state");
        url.searchParams.set('activityId', activityId);
        url.searchParams.set('stateId', stateId);
        url.searchParams.set('agent', JSON.stringify(agent));
        const method = "POST";
        const headers = new Headers();
        headers.set("Content-Type", "application/json");
        headers.set("Authorization", this.auth);
        headers.set("X-Experience-API-Version", exports.VERSION);
        return fetch(url.toString(), {
            method,
            headers,
            credentials: "include",
            mode: "cors",
            body: JSON.stringify(state)
        });
    }
    retrieveActivityState(activityId, stateId, agent) {
        const url = new URL(this.endpoint + "activities/state");
        url.searchParams.set('activityId', activityId);
        url.searchParams.set('stateId', stateId);
        url.searchParams.set('agent', JSON.stringify(agent));
        const method = "GET";
        const headers = new Headers();
        headers.set("Authorization", this.auth);
        headers.set("X-Experience-API-Version", exports.VERSION);
        return fetch(url.toString(), {
            method,
            headers,
            credentials: "include",
            mode: "cors"
        });
    }
}
exports.Lrs = Lrs;
//# sourceMappingURL=lrs.js.map