"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.initTinCan = void 0;
const lrs_1 = require("../xapi/lrs");
const initTinCan = () => __awaiter(void 0, void 0, void 0, function* () {
    // xAPI configuration is sent in the URL query string parameters
    const urlParams = new URLSearchParams(window.location.search);
    const endpoint = urlParams.get("endpoint");
    const auth = urlParams.get("auth");
    const actorJson = urlParams.get("actor");
    const actor = JSON.parse(actorJson || "{}"); // this needs to be JSON decoded
    const activityId = urlParams.get("activity_id");
    const registration = urlParams.get("registration") || undefined;
    if (!endpoint || !activityId) {
        throw new Error("Invalid query parameters for Tin Can init");
    }
    const lrs = new lrs_1.Lrs({
        endpoint: endpoint,
        auth: auth || "",
    });
    return {
        lrs,
        actor,
        activityId,
        registration,
        isCmi5: false,
    };
});
exports.initTinCan = initTinCan;
//# sourceMappingURL=launch.js.map