import { XApiAttachment, XApiStatement } from "./statement";
import { XApiConfig } from "./xapi-interface";
export declare type OLVerbShorthand = "published" | "attached";
export interface SupportingMedia {
    contentType: string;
    fileUrl: string;
    display: string | Record<string, string>;
    description: string | Record<string, string>;
}
export declare const convertMediaToAttachment: ({ contentType, fileUrl, display, description, }: SupportingMedia) => XApiAttachment;
export declare const buildStatement: (config: XApiConfig, attachments: Array<XApiAttachment>, verb: OLVerbShorthand) => XApiStatement;
export declare const saveAttachments: (config: XApiConfig, supportingMedia: Array<SupportingMedia>, verb?: OLVerbShorthand, thumbnailUrl?: string | undefined) => Promise<Response>;
