"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.initLrs = void 0;
const lrs_1 = require("./lrs");
const initLrs = () => {
    // xAPI configuration is sent in the URL query string parameters
    const urlParams = new URLSearchParams(window.location.search);
    const endpoint = urlParams.get("endpoint");
    const auth = urlParams.get("auth");
    const actorJson = urlParams.get("actor");
    const actor = JSON.parse(actorJson || "{}"); // this needs to be JSON decoded
    const activity_id = urlParams.get("activity_id");
    const registration = urlParams.get("registration");
    if (!endpoint) {
        return null;
    }
    const lrs = new lrs_1.Lrs({
        endpoint: endpoint,
        auth: auth || "",
    });
    return {
        lrs: lrs,
        actor: actor,
        activity_id: activity_id,
        registration: registration,
    };
};
exports.initLrs = initLrs;
//# sourceMappingURL=xapi-interface.js.map